{
  "openapi": "3.1.0",
  "info": {
    "title": "BlockBee API",
    "version": "1.0.0",
    "description": "Cryptocurrency payment processing API. Generated from BlockBee documentation. See https://docs.blockbee.io for full guides, webhooks, and library SDKs.",
    "contact": {
      "name": "BlockBee Support",
      "url": "https://blockbee.io"
    },
    "license": {
      "name": "Proprietary",
      "url": "https://blockbee.io/terms-of-service/"
    }
  },
  "servers": [
    {
      "url": "https://api.blockbee.io",
      "description": "Production"
    }
  ],
  "externalDocs": {
    "description": "Full documentation",
    "url": "https://docs.blockbee.io"
  },
  "tags": [
    {
      "name": "Custom Payment Flow"
    },
    {
      "name": "Deposits"
    },
    {
      "name": "Payments Checkout"
    },
    {
      "name": "Payments Deposit"
    },
    {
      "name": "Payout Requests"
    },
    {
      "name": "Payouts"
    },
    {
      "name": "Self-Custodial Wallet"
    },
    {
      "name": "Subscriptions"
    },
    {
      "name": "Utilities"
    },
    {
      "name": "Webhooks"
    }
  ],
  "paths": {
    "/convert/": {
      "get": {
        "operationId": "convert_price",
        "summary": "Convert Price",
        "description": "This method enables seamless price conversion between fiat currencies and cryptocurrencies, as well as between different cryptocurrencies.",
        "tags": [
          "Utilities"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/convert-price"
        },
        "parameters": [
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "value",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "1"
            }
          },
          {
            "name": "from",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "usd"
            }
          },
          {
            "name": "to",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "btc"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "value_coin": {
                      "type": "string",
                      "example": "0.0000088"
                    },
                    "exchange_rate": {
                      "type": "string",
                      "example": "0.00000880022"
                    }
                  },
                  "example": {
                    "status": "success",
                    "value_coin": "0.0000088",
                    "exchange_rate": "0.00000880022"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/{ticker}/convert/": {
      "get": {
        "operationId": "convert_price_by_ticker",
        "summary": "Convert Prices Using Ticker",
        "description": "With this method, you can effortlessly convert prices between FIAT currencies and cryptocurrencies, or even between different cryptocurrencies, by specifying the ticker directly in the URL path. This makes the conversion process straightforward and easy to implement.\n**Note:** * Prices are fetched every 5 minutes from CoinMarketCap.",
        "tags": [
          "Utilities"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/convert-price-by-ticker"
        },
        "parameters": [
          {
            "name": "ticker",
            "in": "path",
            "required": true,
            "description": "Path parameter (string)",
            "schema": {
              "type": "string",
              "example": "btc"
            }
          },
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "value",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "1"
            }
          },
          {
            "name": "from",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "usd"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "value_coin": {
                      "type": "string",
                      "example": "0.01"
                    },
                    "exchange_rate": {
                      "type": "string",
                      "example": "47000"
                    },
                    "status": {
                      "type": "string",
                      "example": "success"
                    }
                  },
                  "example": {
                    "value_coin": "0.01",
                    "exchange_rate": "47000",
                    "status": "success"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/checkout/request/": {
      "get": {
        "operationId": "create_checkout",
        "summary": "Create a Checkout Payment Link",
        "description": "This method allows you to request a new Payment link. **Notes:** * Supports partial payments and prompts the customer to complete the remaining balance if the full amount isn't paid.",
        "tags": [
          "Payments Checkout"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/create-checkout"
        },
        "parameters": [
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "redirect_url",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "https://example.com/success/?order_id=12345"
            }
          },
          {
            "name": "value",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "10"
            }
          },
          {
            "name": "currency",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "usd"
            }
          },
          {
            "name": "item_description",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "Order #1234"
            }
          },
          {
            "name": "customer_name",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "John Doe"
            }
          },
          {
            "name": "customer_email",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "email@example.com"
            }
          },
          {
            "name": "expire_at",
            "in": "query",
            "required": false,
            "description": "Query parameter (datefield)",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "notify_url",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "https://example.com/callback/?order_id=12345"
            }
          },
          {
            "name": "post",
            "in": "query",
            "required": false,
            "description": "Query parameter (number)",
            "schema": {
              "type": "integer",
              "example": "1"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "payment_id": {
                      "type": "string",
                      "example": "fG78jtx96ugjtu0eIbeLmFB9z0feJf9N"
                    },
                    "success_token": {
                      "type": "string",
                      "example": "fG78jtx96ugjtu0eIbeLmFB9z0feJf9NfG78jtx96ugjtu0eIbeLmFB9z0feJf9N"
                    },
                    "payment_url": {
                      "type": "string",
                      "example": "https://pay.blockbee.io/payment/fG78jtx96ugjtu0eIbeLmFB9z0feJf9N"
                    }
                  },
                  "example": {
                    "status": "success",
                    "payment_id": "fG78jtx96ugjtu0eIbeLmFB9z0feJf9N",
                    "success_token": "fG78jtx96ugjtu0eIbeLmFB9z0feJf9NfG78jtx96ugjtu0eIbeLmFB9z0feJf9N",
                    "payment_url": "https://pay.blockbee.io/payment/fG78jtx96ugjtu0eIbeLmFB9z0feJf9N"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/deposit/request/": {
      "get": {
        "operationId": "create_deposit",
        "summary": "Create Deposit Request",
        "description": "This method allows you to create a deposit request.",
        "tags": [
          "Deposits"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/create-deposit"
        },
        "parameters": [
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "notify_url",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "https://example.com/callback/?user_id=1124"
            }
          },
          {
            "name": "currency",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "usd"
            }
          },
          {
            "name": "item_description",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "Deposit #123"
            }
          },
          {
            "name": "customer_name",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "John Doe"
            }
          },
          {
            "name": "customer_email",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "email@example.com"
            }
          },
          {
            "name": "post",
            "in": "query",
            "required": false,
            "description": "Query parameter (number)",
            "schema": {
              "type": "integer",
              "example": "1"
            }
          },
          {
            "name": "suggested_value",
            "in": "query",
            "required": false,
            "description": "Query parameter (number)",
            "schema": {
              "type": "integer",
              "example": "10"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "payment_url": {
                      "type": "string",
                      "example": "https://pay.blockbee.io/deposit/Zz87cpYde6cKszIwn0A6oOxea2i1eGoJ/"
                    },
                    "payment_id": {
                      "type": "string",
                      "example": "Zz87cpYde6cKszIwn0A6oOxea2i1eGoJ"
                    }
                  },
                  "example": {
                    "status": "success",
                    "payment_url": "https://pay.blockbee.io/deposit/Zz87cpYde6cKszIwn0A6oOxea2i1eGoJ/",
                    "payment_id": "Zz87cpYde6cKszIwn0A6oOxea2i1eGoJ"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/{ticker}/create/": {
      "get": {
        "operationId": "create_payment_address",
        "summary": "Create New Payment Address",
        "description": "Generates a new address to give your customer for payment. Transactions below the minimum transfer limit for the chosen [cryptocurrency](https://blockbee.io/cryptocurrencies/) are rejected.\n**Notices:**  * The length of this request must not exceed `8192` characters. * Check the minimum transfer limit for your chosen [cryptocurrency](https://blockbee.io/cryptocurrencies/) before generating an address. Transactions below the minimum are rejected.",
        "tags": [
          "Custom Payment Flow"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/create-payment-address"
        },
        "parameters": [
          {
            "name": "ticker",
            "in": "path",
            "required": true,
            "description": "Path parameter (string)",
            "schema": {
              "type": "string",
              "example": "btc"
            }
          },
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "callback",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "https://example.com/your_callback?invoice_id=123"
            }
          },
          {
            "name": "address",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "1H6ZZpRmMnrw8ytepV3BYwMjYYnEkWDqVP"
            }
          },
          {
            "name": "pending",
            "in": "query",
            "required": false,
            "description": "Query parameter (integer)",
            "schema": {
              "type": "integer",
              "example": "1"
            }
          },
          {
            "name": "confirmations",
            "in": "query",
            "required": false,
            "description": "Query parameter (integer)",
            "schema": {
              "type": "integer",
              "example": "3"
            }
          },
          {
            "name": "post",
            "in": "query",
            "required": false,
            "description": "Query parameter (integer)",
            "schema": {
              "type": "integer",
              "example": "1"
            }
          },
          {
            "name": "json",
            "in": "query",
            "required": false,
            "description": "Query parameter (integer)",
            "schema": {
              "type": "integer",
              "example": "1"
            }
          },
          {
            "name": "priority",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "default"
            }
          },
          {
            "name": "multi_token",
            "in": "query",
            "required": false,
            "description": "Query parameter (integer)",
            "schema": {
              "type": "integer",
              "example": "1"
            }
          },
          {
            "name": "convert",
            "in": "query",
            "required": false,
            "description": "Query parameter (integer)",
            "schema": {
              "type": "integer",
              "example": "1"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "address_in": {
                      "type": "string",
                      "example": "14PqCsA7KMgseZMPwg6mJy754MtQkrgszu"
                    },
                    "address_out": {
                      "type": "string",
                      "example": "1H6ZZpRmMnrw8ytepV3BYwMjYYnEkWDqVP (single address)\n\n{1H6ZZpRmMnrw8ytepV3BYwMjYYnEkWDqVP: 0.70, 1PE5U4temq1rFzseHHGE2L8smwHCyRbkx3: 0.30} (multiple addresses)\n"
                    },
                    "callback_url": {
                      "type": "string",
                      "example": "https://example.com/invoice/1234?payment_id=5678"
                    },
                    "priority": {
                      "type": "string",
                      "example": "default"
                    },
                    "minimum_transaction_coin": {
                      "type": "number",
                      "example": 0.008
                    },
                    "status": {
                      "type": "string",
                      "example": "success"
                    }
                  },
                  "example": {
                    "address_in": "14PqCsA7KMgseZMPwg6mJy754MtQkrgszu",
                    "address_out": "1H6ZZpRmMnrw8ytepV3BYwMjYYnEkWDqVP (single address)\n\n{1H6ZZpRmMnrw8ytepV3BYwMjYYnEkWDqVP: 0.70, 1PE5U4temq1rFzseHHGE2L8smwHCyRbkx3: 0.30} (multiple addresses)\n",
                    "callback_url": "https://example.com/invoice/1234?payment_id=5678",
                    "priority": "default",
                    "minimum_transaction_coin": 0.008,
                    "status": "success"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/payout/create/": {
      "post": {
        "operationId": "create_payout",
        "summary": "Create Payout",
        "description": "Create a Payout by providing the Payout Request ID(s).",
        "tags": [
          "Payouts"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/create-payout"
        },
        "parameters": [
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "payout_info": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "example": "b4252c0a-03f1-4715-90b8-a32ba4c91b9f"
                        },
                        "status": {
                          "type": "string",
                          "example": "created"
                        },
                        "display_status": {
                          "type": "string",
                          "example": "Created"
                        },
                        "from": {
                          "type": "string",
                          "example": ""
                        },
                        "requests": {
                          "type": "object",
                          "properties": {
                            "0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d": {
                              "type": "string",
                              "example": "0.2"
                            }
                          },
                          "example": {
                            "0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d": "0.2"
                          }
                        },
                        "total_requested": {
                          "type": "string",
                          "example": "0.2"
                        },
                        "total_with_fee": {
                          "type": "string",
                          "example": "0.201"
                        },
                        "error": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "blockchain_fee": {
                          "type": "integer",
                          "example": 0
                        },
                        "fee": {
                          "type": "string",
                          "example": "0.001"
                        },
                        "coin": {
                          "type": "string",
                          "example": "bep20_usdt"
                        },
                        "txid": {
                          "type": "string",
                          "example": ""
                        },
                        "timestamp": {
                          "type": "string",
                          "example": "10/07/2025 17:28:29"
                        }
                      },
                      "example": {
                        "id": "b4252c0a-03f1-4715-90b8-a32ba4c91b9f",
                        "status": "created",
                        "display_status": "Created",
                        "from": "",
                        "requests": {
                          "0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d": "0.2"
                        },
                        "total_requested": "0.2",
                        "total_with_fee": "0.201",
                        "error": null,
                        "blockchain_fee": 0,
                        "fee": "0.001",
                        "coin": "bep20_usdt",
                        "txid": "",
                        "timestamp": "10/07/2025 17:28:29"
                      }
                    }
                  },
                  "example": {
                    "status": "success",
                    "payout_info": {
                      "id": "b4252c0a-03f1-4715-90b8-a32ba4c91b9f",
                      "status": "created",
                      "display_status": "Created",
                      "from": "",
                      "requests": {
                        "0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d": "0.2"
                      },
                      "total_requested": "0.2",
                      "total_with_fee": "0.201",
                      "error": null,
                      "blockchain_fee": 0,
                      "fee": "0.001",
                      "coin": "bep20_usdt",
                      "txid": "",
                      "timestamp": "10/07/2025 17:28:29"
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "required": true,
          "content": {
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "properties": {
                  "request_ids": {
                    "type": "string",
                    "example": "7f839bdd-5acd-4ce3-984d-1be8357b642d,7f839bdd-5asd-4ce3-984d-1be8357b646d"
                  }
                },
                "required": [
                  "request_ids"
                ]
              }
            },
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "request_ids": {
                    "type": "string",
                    "example": "7f839bdd-5acd-4ce3-984d-1be8357b642d,7f839bdd-5asd-4ce3-984d-1be8357b646d"
                  }
                },
                "required": [
                  "request_ids"
                ]
              }
            }
          }
        }
      }
    },
    "/{ticker}/payout/request/create/": {
      "get": {
        "operationId": "create_payout_request",
        "summary": "Create a Payout Request",
        "description": "Use this method to create a new Payout Request, which is a request for a payment you wish to send to your customer. Once you have created the Payout Request, you can fulfill it using BlockBee's [Dashboard](https://dash.blockbee.io/), or by using BlockBee API.",
        "tags": [
          "Payout Requests"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/create-payout-request"
        },
        "parameters": [
          {
            "name": "ticker",
            "in": "path",
            "required": true,
            "description": "Path parameter (string)",
            "schema": {
              "type": "string",
              "example": "btc"
            }
          },
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "address",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "1H6ZZpRmMnrw8ytepV3BYwMjYYnEkWDqVP"
            }
          },
          {
            "name": "value",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "0.001"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "request_id": {
                      "type": "string",
                      "example": "3825d29b-7a8f-47da-8623-e99850674247"
                    }
                  },
                  "example": {
                    "status": "success",
                    "request_id": "3825d29b-7a8f-47da-8623-e99850674247"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/{ticker}/payout/request/bulk/": {
      "post": {
        "operationId": "create_payout_requests_bulk",
        "summary": "Bulk Create Payout Requests",
        "description": "This method allows you to create multiple payout requests in bulk for a specific ticker.",
        "tags": [
          "Payout Requests"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/create-payout-requests-bulk"
        },
        "parameters": [
          {
            "name": "ticker",
            "in": "path",
            "required": true,
            "description": "Path parameter (string)",
            "schema": {
              "type": "string",
              "example": "btc"
            }
          },
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "request_ids": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "2a4437cb-4a5c-43c7-b3cb-4103bbae9486"
                      },
                      "example": [
                        "2a4437cb-4a5c-43c7-b3cb-4103bbae9486",
                        "8676ebfb-14c4-4455-af85-59257a8d1d8f"
                      ]
                    }
                  },
                  "example": {
                    "status": "success",
                    "request_ids": [
                      "2a4437cb-4a5c-43c7-b3cb-4103bbae9486",
                      "8676ebfb-14c4-4455-af85-59257a8d1d8f"
                    ]
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "required": true,
          "content": {
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "properties": {
                  "outputs": {
                    "type": "string",
                    "example": "{\"0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d\": 0.2, \"0x18B211A1Ba5880C7d62C250B6441C2400d588589\": 0.1}"
                  }
                },
                "required": [
                  "outputs"
                ]
              }
            },
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "outputs": {
                    "type": "string",
                    "example": "{\"0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d\": 0.2, \"0x18B211A1Ba5880C7d62C250B6441C2400d588589\": 0.1}"
                  }
                },
                "required": [
                  "outputs"
                ]
              }
            }
          }
        }
      }
    },
    "/subscription/create/": {
      "get": {
        "operationId": "create_subscription",
        "summary": "Create Subscription",
        "description": "This method allows you to create a subscription.",
        "tags": [
          "Subscriptions"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/create-subscription"
        },
        "parameters": [
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "user_id",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "user_123"
            }
          },
          {
            "name": "user_email",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "example@mail.com"
            }
          },
          {
            "name": "option",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "pro"
            }
          },
          {
            "name": "post",
            "in": "query",
            "required": false,
            "description": "Query parameter (number)",
            "schema": {
              "type": "integer",
              "example": "1"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "token": {
                      "type": "string",
                      "example": "I55hhRINHptLJPwsqwYNxJOKBItRiq1o"
                    },
                    "subscription_url": {
                      "type": "string",
                      "example": "https://pay.blockbee.io/subscription/I55hhRINHptLJPwsqwYNxJOKBItRiq1o"
                    }
                  },
                  "example": {
                    "status": "success",
                    "token": "I55hhRINHptLJPwsqwYNxJOKBItRiq1o",
                    "subscription_url": "https://pay.blockbee.io/subscription/I55hhRINHptLJPwsqwYNxJOKBItRiq1o"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/{ticker}/estimate/": {
      "get": {
        "operationId": "estimate_fees",
        "summary": "Estimate Blockchain Fees",
        "description": "This method allows you to estimate blockchain fees to forward a transaction to your wallet address.\n**Notes:** * This is an **estimation** only, and might change significantly when the transaction is processed by the blockchain. BlockBee is not responsible if blockchain fees differ from this estimation when forwarding the funds. * Does not include BlockBee's fees.",
        "tags": [
          "Utilities"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/estimate-fees"
        },
        "parameters": [
          {
            "name": "ticker",
            "in": "path",
            "required": true,
            "description": "Path parameter (string)",
            "schema": {
              "type": "string",
              "example": "btc"
            }
          },
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "addresses",
            "in": "query",
            "required": false,
            "description": "Query parameter (integer)",
            "schema": {
              "type": "integer",
              "example": "1"
            }
          },
          {
            "name": "priority",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "default"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "estimated_cost": {
                      "type": "string",
                      "example": "0.00000213000"
                    },
                    "estimated_cost_currency": {
                      "type": "object",
                      "additionalProperties": {
                        "type": "string"
                      },
                      "example": {
                        "AED": "0.84",
                        "AUD": "0.35",
                        "BGN": "0.38",
                        "BRL": "1.26",
                        "CAD": "0.31",
                        "CHF": "0.18",
                        "CNY": "1.65",
                        "COP": "926.32",
                        "CZK": "4.82",
                        "DKK": "1.46",
                        "EUR": "0.20",
                        "GBP": "0.17",
                        "HKD": "1.80",
                        "HUF": "78.41",
                        "IDR": "3731.31",
                        "INR": "19.70",
                        "JPY": "33.10",
                        "LKR": "68.95",
                        "MXN": "4.32",
                        "MYR": "0.97",
                        "NGN": "352.22",
                        "NOK": "2.33",
                        "PHP": "12.96",
                        "PLN": "0.83",
                        "RON": "0.99",
                        "RUB": "18.11",
                        "SEK": "2.20",
                        "SGD": "0.29",
                        "THB": "7.46",
                        "TRY": "9.15",
                        "TWD": "6.68",
                        "UAH": "9.60",
                        "UGX": "826.72",
                        "USD": "0.23",
                        "VND": "6016.13",
                        "ZAR": "4.06"
                      }
                    }
                  },
                  "example": {
                    "status": "success",
                    "estimated_cost": "0.00000213000",
                    "estimated_cost_currency": {
                      "AED": "0.84",
                      "AUD": "0.35",
                      "BGN": "0.38",
                      "BRL": "1.26",
                      "CAD": "0.31",
                      "CHF": "0.18",
                      "CNY": "1.65",
                      "COP": "926.32",
                      "CZK": "4.82",
                      "DKK": "1.46",
                      "EUR": "0.20",
                      "GBP": "0.17",
                      "HKD": "1.80",
                      "HUF": "78.41",
                      "IDR": "3731.31",
                      "INR": "19.70",
                      "JPY": "33.10",
                      "LKR": "68.95",
                      "MXN": "4.32",
                      "MYR": "0.97",
                      "NGN": "352.22",
                      "NOK": "2.33",
                      "PHP": "12.96",
                      "PLN": "0.83",
                      "RON": "0.99",
                      "RUB": "18.11",
                      "SEK": "2.20",
                      "SGD": "0.29",
                      "THB": "7.46",
                      "TRY": "9.15",
                      "TWD": "6.68",
                      "UAH": "9.60",
                      "UGX": "826.72",
                      "USD": "0.23",
                      "VND": "6016.13",
                      "ZAR": "4.06"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/{ticker}/qrcode/": {
      "get": {
        "operationId": "generate_qr_code",
        "summary": "Payment QR Code Generator",
        "description": "This method generates a base64-encoded QR Code image for payments.",
        "tags": [
          "Utilities"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/generate-qr-code"
        },
        "parameters": [
          {
            "name": "ticker",
            "in": "path",
            "required": true,
            "description": "Path parameter (string)",
            "schema": {
              "type": "string",
              "example": "btc"
            }
          },
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "address",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "1H6ZZpRmMnrw8ytepV3BYwMjYYnEkWDqVP"
            }
          },
          {
            "name": "value",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "0.001"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "qr_code": {
                      "type": "string",
                      "example": "iVBORw0KGgoAAAANSUhEUgAAAQAAAAEAAQMAAABmvDolAAAABlBMVEX///8AAABVwtN+AAABsklEQVR4nO3WsQ3EIAwE0LnA/ld3MoQJc4K4v2ALzaKdg75vdv4qgQAEIAABCEAAAhCAAAQ@example"
                    },
                    "payment_uri": {
                      "type": "string",
                      "example": "bitcoin:14PqCsA7KMgseZMPwg6mJy754MtQkrgszu?amount=0.1"
                    }
                  },
                  "example": {
                    "status": "success",
                    "qr_code": "iVBORw0KGgoAAAANSUhEUgAAAQAAAAEAAQMAAABmvDolAAAABlBMVEX///8AAABVwtN+AAABsklEQVR4nO3WsQ3EIAwE0LnA/ld3MoQJc4K4v2ALzaKdg75vdv4qgQAEIAABCEAAAhCAAAQ@example",
                    "payment_uri": "bitcoin:14PqCsA7KMgseZMPwg6mJy754MtQkrgszu?amount=0.1"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/checkout/logs/": {
      "get": {
        "operationId": "get_checkout_logs",
        "summary": "Get Checkout Logs",
        "description": "This method allows you to get the logs for a checkout payment.",
        "tags": [
          "Payments Checkout"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/get-checkout-logs"
        },
        "parameters": [
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "payment_id",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "fG78jtx96ugjtu0eIbeLmFB9z0feJf9N"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "logs": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "payment_id": {
                            "type": "string",
                            "example": "fG78jtx96ugjtu0eIbeLmFB9z0feJf9N"
                          },
                          "status": {
                            "type": "string",
                            "example": "completed"
                          },
                          "amount": {
                            "type": "string",
                            "example": "10"
                          },
                          "currency": {
                            "type": "string",
                            "example": "eur"
                          },
                          "created_at": {
                            "type": "string",
                            "example": "2024-03-12T14:40:11Z"
                          }
                        },
                        "example": {
                          "payment_id": "fG78jtx96ugjtu0eIbeLmFB9z0feJf9N",
                          "status": "completed",
                          "amount": "10",
                          "currency": "eur",
                          "created_at": "2024-03-12T14:40:11Z"
                        }
                      },
                      "example": [
                        {
                          "payment_id": "fG78jtx96ugjtu0eIbeLmFB9z0feJf9N",
                          "status": "completed",
                          "amount": "10",
                          "currency": "eur",
                          "created_at": "2024-03-12T14:40:11Z"
                        }
                      ]
                    }
                  },
                  "example": {
                    "status": "success",
                    "logs": [
                      {
                        "payment_id": "fG78jtx96ugjtu0eIbeLmFB9z0feJf9N",
                        "status": "completed",
                        "amount": "10",
                        "currency": "eur",
                        "created_at": "2024-03-12T14:40:11Z"
                      }
                    ]
                  }
                }
              }
            }
          }
        }
      }
    },
    "/deposit/logs/": {
      "get": {
        "operationId": "get_deposit_logs",
        "summary": "Get Deposit Logs",
        "description": "This method allows you to get the logs for a deposit request.",
        "tags": [
          "Deposits"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/get-deposit-logs"
        },
        "parameters": [
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "callback",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "https://example.com/your_callback?invoice_id=123"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "logs": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "address_in": {
                            "type": "string",
                            "example": "14PqCsA7KMgseZMPwg6mJy754MtQkrgszu"
                          },
                          "address_out": {
                            "type": "string",
                            "example": "1H6ZZpRmMnrw8ytepV3BYwMjYYnEkWDqVP"
                          },
                          "value_coin": {
                            "type": "string",
                            "example": "0.00100000"
                          },
                          "value_forwarded_coin": {
                            "type": "string",
                            "example": "0.00099000"
                          },
                          "value_usd": {
                            "type": "string",
                            "example": "107.99"
                          },
                          "callback_url": {
                            "type": "string",
                            "example": "https://example.com/your_callback?invoice_id=123"
                          },
                          "confirmations": {
                            "type": "integer",
                            "example": 3
                          },
                          "txid_in": {
                            "type": "string",
                            "example": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6"
                          },
                          "txid_out": {
                            "type": "string",
                            "example": "z6y5x4w3v2u1t0s9r8q7p6o5n4m3l2k1j0i9h8g7f6e5d4c3b2a1"
                          },
                          "timestamp": {
                            "type": "string",
                            "example": "2024-01-15 10:30:45"
                          },
                          "pending": {
                            "type": "integer",
                            "example": 0
                          },
                          "fee": {
                            "type": "string",
                            "example": "0.00001000"
                          },
                          "fee_usd": {
                            "type": "string",
                            "example": "1.08"
                          },
                          "priority": {
                            "type": "string",
                            "example": "default"
                          },
                          "value_coin_convert": {
                            "type": "string",
                            "example": "{\"USD\":\"107.99\",\"EUR\":\"98.45\"}"
                          },
                          "value_forwarded_coin_convert": {
                            "type": "string",
                            "example": "{\"USD\":\"106.91\",\"EUR\":\"97.47\"}"
                          }
                        },
                        "example": {
                          "address_in": "14PqCsA7KMgseZMPwg6mJy754MtQkrgszu",
                          "address_out": "1H6ZZpRmMnrw8ytepV3BYwMjYYnEkWDqVP",
                          "value_coin": "0.00100000",
                          "value_forwarded_coin": "0.00099000",
                          "value_usd": "107.99",
                          "callback_url": "https://example.com/your_callback?invoice_id=123",
                          "confirmations": 3,
                          "txid_in": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6",
                          "txid_out": "z6y5x4w3v2u1t0s9r8q7p6o5n4m3l2k1j0i9h8g7f6e5d4c3b2a1",
                          "timestamp": "2024-01-15 10:30:45",
                          "pending": 0,
                          "fee": "0.00001000",
                          "fee_usd": "1.08",
                          "priority": "default",
                          "value_coin_convert": "{\"USD\":\"107.99\",\"EUR\":\"98.45\"}",
                          "value_forwarded_coin_convert": "{\"USD\":\"106.91\",\"EUR\":\"97.47\"}"
                        }
                      },
                      "example": [
                        {
                          "address_in": "14PqCsA7KMgseZMPwg6mJy754MtQkrgszu",
                          "address_out": "1H6ZZpRmMnrw8ytepV3BYwMjYYnEkWDqVP",
                          "value_coin": "0.00100000",
                          "value_forwarded_coin": "0.00099000",
                          "value_usd": "107.99",
                          "callback_url": "https://example.com/your_callback?invoice_id=123",
                          "confirmations": 3,
                          "txid_in": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6",
                          "txid_out": "z6y5x4w3v2u1t0s9r8q7p6o5n4m3l2k1j0i9h8g7f6e5d4c3b2a1",
                          "timestamp": "2024-01-15 10:30:45",
                          "pending": 0,
                          "fee": "0.00001000",
                          "fee_usd": "1.08",
                          "priority": "default",
                          "value_coin_convert": "{\"USD\":\"107.99\",\"EUR\":\"98.45\"}",
                          "value_forwarded_coin_convert": "{\"USD\":\"106.91\",\"EUR\":\"97.47\"}"
                        }
                      ]
                    }
                  },
                  "example": {
                    "status": "success",
                    "logs": [
                      {
                        "address_in": "14PqCsA7KMgseZMPwg6mJy754MtQkrgszu",
                        "address_out": "1H6ZZpRmMnrw8ytepV3BYwMjYYnEkWDqVP",
                        "value_coin": "0.00100000",
                        "value_forwarded_coin": "0.00099000",
                        "value_usd": "107.99",
                        "callback_url": "https://example.com/your_callback?invoice_id=123",
                        "confirmations": 3,
                        "txid_in": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6",
                        "txid_out": "z6y5x4w3v2u1t0s9r8q7p6o5n4m3l2k1j0i9h8g7f6e5d4c3b2a1",
                        "timestamp": "2024-01-15 10:30:45",
                        "pending": 0,
                        "fee": "0.00001000",
                        "fee_usd": "1.08",
                        "priority": "default",
                        "value_coin_convert": "{\"USD\":\"107.99\",\"EUR\":\"98.45\"}",
                        "value_forwarded_coin_convert": "{\"USD\":\"106.91\",\"EUR\":\"97.47\"}"
                      }
                    ]
                  }
                }
              }
            }
          }
        }
      }
    },
    "/{ticker}/logs/": {
      "get": {
        "operationId": "get_payment_logs",
        "summary": "Check Payment Address Logs",
        "description": "This method provides information and callbacks for addresses created through the `create` endpoint. It returns a list of callbacks made at the specified `callbacks` parameter, and allows to track payment activity and troubleshoot any issues.",
        "tags": [
          "Custom Payment Flow"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/get-payment-logs"
        },
        "parameters": [
          {
            "name": "ticker",
            "in": "path",
            "required": true,
            "description": "Path parameter (string)",
            "schema": {
              "type": "string",
              "example": "btc"
            }
          },
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "callback",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "https://example.com/your_callback?invoice_id=123"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "address_in": {
                      "type": "string",
                      "example": "14PqCsA7KMgseZMPwg6mJy754MtQkrgszu"
                    },
                    "address_out": {
                      "type": "string",
                      "example": "1H6ZZpRmMnrw8ytepV3BYwMjYYnEkWDqVP"
                    },
                    "callback_url": {
                      "type": "string",
                      "example": "https://example.com/invoice/1234?payment_id=5678"
                    },
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "notify_pending": {
                      "type": "boolean",
                      "example": true
                    },
                    "notify_confirmations": {
                      "type": "integer",
                      "example": 1
                    },
                    "priority": {
                      "type": "string",
                      "example": "default"
                    },
                    "callbacks": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "txid_in": {
                            "type": "string",
                            "example": "33f11611f863d7475eb10daada2f225f0877561cf58cdfff175e99635dfd9120"
                          },
                          "txid_out": {
                            "type": "string",
                            "example": "5ea53d5e728bfdb56b54c0b945990b69ae1e66cec56ab24679c9a622c4695276"
                          },
                          "value_coin": {
                            "type": "number",
                            "example": 0.1
                          },
                          "value_forwarded_coin": {
                            "type": "number",
                            "example": 0.1
                          },
                          "confirmations": {
                            "type": "integer",
                            "example": 13
                          },
                          "last_update": {
                            "type": "string",
                            "example": "15/02/2018 21:23:42"
                          },
                          "result": {
                            "type": "string",
                            "example": "done"
                          },
                          "fee_percent": {
                            "type": "integer",
                            "example": 1
                          },
                          "fee_coin": {
                            "type": "number",
                            "example": 0.02
                          },
                          "logs": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "request_url": {
                                  "type": "string",
                                  "example": "https://example.com/callback.php?order_id=423&nonce=KRnrAtVbbPrA21TR4yQDESnTV5xxV4jR&uuid=883d30bc-d53b-46e4-9f4d-425001a6a45d&address_in=0x672FF17DDD6f2F6b1CA8c2A9cC8D25f0950AbCc5&address_out=0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d&confirmations=84484&txid_in=0x4ac6d4f5df0803f91d5fb34d566400bb4417e98d5a515be087a9447d1f22cbbc&txid_out=0x711e26fec256b9945cee5195636772266104adc293d9013caa27752433a7effd&fee=1&value=200&value_coin=2.00011&value_forwarded=184&value_forwarded_coin=1.844926267290333679&coin=bep20_usdt&result=sent&pending=0"
                                },
                                "responses": {
                                  "type": "string",
                                  "example": "*ok*"
                                },
                                "response_status": {
                                  "type": "string",
                                  "example": "200"
                                },
                                "next_try": {
                                  "type": "string",
                                  "example": "14/10/2022 12:47:18"
                                },
                                "pending": {
                                  "type": "string",
                                  "example": "0"
                                },
                                "confirmed": {
                                  "type": "integer",
                                  "example": 1
                                }
                              },
                              "example": {
                                "request_url": "https://example.com/callback.php?order_id=423&nonce=KRnrAtVbbPrA21TR4yQDESnTV5xxV4jR&uuid=883d30bc-d53b-46e4-9f4d-425001a6a45d&address_in=0x672FF17DDD6f2F6b1CA8c2A9cC8D25f0950AbCc5&address_out=0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d&confirmations=84484&txid_in=0x4ac6d4f5df0803f91d5fb34d566400bb4417e98d5a515be087a9447d1f22cbbc&txid_out=0x711e26fec256b9945cee5195636772266104adc293d9013caa27752433a7effd&fee=1&value=200&value_coin=2.00011&value_forwarded=184&value_forwarded_coin=1.844926267290333679&coin=bep20_usdt&result=sent&pending=0",
                                "responses": "*ok*",
                                "response_status": "200",
                                "next_try": "14/10/2022 12:47:18",
                                "pending": "0",
                                "confirmed": 1
                              }
                            },
                            "example": [
                              {
                                "request_url": "https://example.com/callback.php?order_id=423&nonce=KRnrAtVbbPrA21TR4yQDESnTV5xxV4jR&uuid=883d30bc-d53b-46e4-9f4d-425001a6a45d&address_in=0x672FF17DDD6f2F6b1CA8c2A9cC8D25f0950AbCc5&address_out=0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d&confirmations=84484&txid_in=0x4ac6d4f5df0803f91d5fb34d566400bb4417e98d5a515be087a9447d1f22cbbc&txid_out=0x711e26fec256b9945cee5195636772266104adc293d9013caa27752433a7effd&fee=1&value=200&value_coin=2.00011&value_forwarded=184&value_forwarded_coin=1.844926267290333679&coin=bep20_usdt&result=sent&pending=0",
                                "responses": "*ok*",
                                "response_status": "200",
                                "next_try": "14/10/2022 12:47:18",
                                "pending": "0",
                                "confirmed": 1
                              }
                            ]
                          }
                        },
                        "example": {
                          "txid_in": "33f11611f863d7475eb10daada2f225f0877561cf58cdfff175e99635dfd9120",
                          "txid_out": "5ea53d5e728bfdb56b54c0b945990b69ae1e66cec56ab24679c9a622c4695276",
                          "value_coin": 0.1,
                          "value_forwarded_coin": 0.1,
                          "confirmations": 13,
                          "last_update": "15/02/2018 21:23:42",
                          "result": "done",
                          "fee_percent": 1,
                          "fee_coin": 0.02,
                          "logs": [
                            {
                              "request_url": "https://example.com/callback.php?order_id=423&nonce=KRnrAtVbbPrA21TR4yQDESnTV5xxV4jR&uuid=883d30bc-d53b-46e4-9f4d-425001a6a45d&address_in=0x672FF17DDD6f2F6b1CA8c2A9cC8D25f0950AbCc5&address_out=0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d&confirmations=84484&txid_in=0x4ac6d4f5df0803f91d5fb34d566400bb4417e98d5a515be087a9447d1f22cbbc&txid_out=0x711e26fec256b9945cee5195636772266104adc293d9013caa27752433a7effd&fee=1&value=200&value_coin=2.00011&value_forwarded=184&value_forwarded_coin=1.844926267290333679&coin=bep20_usdt&result=sent&pending=0",
                              "responses": "*ok*",
                              "response_status": "200",
                              "next_try": "14/10/2022 12:47:18",
                              "pending": "0",
                              "confirmed": 1
                            }
                          ]
                        }
                      },
                      "example": [
                        {
                          "txid_in": "33f11611f863d7475eb10daada2f225f0877561cf58cdfff175e99635dfd9120",
                          "txid_out": "5ea53d5e728bfdb56b54c0b945990b69ae1e66cec56ab24679c9a622c4695276",
                          "value_coin": 0.1,
                          "value_forwarded_coin": 0.1,
                          "confirmations": 13,
                          "last_update": "15/02/2018 21:23:42",
                          "result": "done",
                          "fee_percent": 1,
                          "fee_coin": 0.02,
                          "logs": [
                            {
                              "request_url": "https://example.com/callback.php?order_id=423&nonce=KRnrAtVbbPrA21TR4yQDESnTV5xxV4jR&uuid=883d30bc-d53b-46e4-9f4d-425001a6a45d&address_in=0x672FF17DDD6f2F6b1CA8c2A9cC8D25f0950AbCc5&address_out=0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d&confirmations=84484&txid_in=0x4ac6d4f5df0803f91d5fb34d566400bb4417e98d5a515be087a9447d1f22cbbc&txid_out=0x711e26fec256b9945cee5195636772266104adc293d9013caa27752433a7effd&fee=1&value=200&value_coin=2.00011&value_forwarded=184&value_forwarded_coin=1.844926267290333679&coin=bep20_usdt&result=sent&pending=0",
                              "responses": "*ok*",
                              "response_status": "200",
                              "next_try": "14/10/2022 12:47:18",
                              "pending": "0",
                              "confirmed": 1
                            }
                          ]
                        }
                      ]
                    }
                  },
                  "example": {
                    "address_in": "14PqCsA7KMgseZMPwg6mJy754MtQkrgszu",
                    "address_out": "1H6ZZpRmMnrw8ytepV3BYwMjYYnEkWDqVP",
                    "callback_url": "https://example.com/invoice/1234?payment_id=5678",
                    "status": "success",
                    "notify_pending": true,
                    "notify_confirmations": 1,
                    "priority": "default",
                    "callbacks": [
                      {
                        "txid_in": "33f11611f863d7475eb10daada2f225f0877561cf58cdfff175e99635dfd9120",
                        "txid_out": "5ea53d5e728bfdb56b54c0b945990b69ae1e66cec56ab24679c9a622c4695276",
                        "value_coin": 0.1,
                        "value_forwarded_coin": 0.1,
                        "confirmations": 13,
                        "last_update": "15/02/2018 21:23:42",
                        "result": "done",
                        "fee_percent": 1,
                        "fee_coin": 0.02,
                        "logs": [
                          {
                            "request_url": "https://example.com/callback.php?order_id=423&nonce=KRnrAtVbbPrA21TR4yQDESnTV5xxV4jR&uuid=883d30bc-d53b-46e4-9f4d-425001a6a45d&address_in=0x672FF17DDD6f2F6b1CA8c2A9cC8D25f0950AbCc5&address_out=0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d&confirmations=84484&txid_in=0x4ac6d4f5df0803f91d5fb34d566400bb4417e98d5a515be087a9447d1f22cbbc&txid_out=0x711e26fec256b9945cee5195636772266104adc293d9013caa27752433a7effd&fee=1&value=200&value_coin=2.00011&value_forwarded=184&value_forwarded_coin=1.844926267290333679&coin=bep20_usdt&result=sent&pending=0",
                            "responses": "*ok*",
                            "response_status": "200",
                            "next_try": "14/10/2022 12:47:18",
                            "pending": "0",
                            "confirmed": 1
                          }
                        ]
                      }
                    ]
                  }
                }
              }
            }
          }
        }
      }
    },
    "/payout/status/": {
      "post": {
        "operationId": "get_payout_status",
        "summary": "Get Payout Status",
        "description": "Get the status of a payout by providing the payout ID.",
        "tags": [
          "Payouts"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/get-payout-status"
        },
        "parameters": [
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "payout_info": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "example": "ddcbab52-3fbc-478c-a103-ecdc2f0ed58c"
                        },
                        "status": {
                          "type": "string",
                          "example": "done"
                        },
                        "display_status": {
                          "type": "string",
                          "example": "Done"
                        },
                        "from": {
                          "type": "string",
                          "example": "0x18B211A1Ba5880C7d62C250B6441C2400d588589"
                        },
                        "requests": {
                          "type": "object",
                          "properties": {
                            "0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d": {
                              "type": "string",
                              "example": "0.2"
                            }
                          },
                          "example": {
                            "0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d": "0.2"
                          }
                        },
                        "total_requested": {
                          "type": "string",
                          "example": "0.2"
                        },
                        "total_with_fee": {
                          "type": "string",
                          "example": "0.201"
                        },
                        "error": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "blockchain_fee": {
                          "type": "string",
                          "example": "0.000024738630000000"
                        },
                        "fee": {
                          "type": "string",
                          "example": "0.001"
                        },
                        "coin": {
                          "type": "string",
                          "example": "bep20_usdt"
                        },
                        "txid": {
                          "type": "string",
                          "example": "0xcc522d6b94e3f284f3f00d43729167f792419c70ec4f9143fc1bddeb04c91912"
                        },
                        "timestamp": {
                          "type": "string",
                          "example": "10/07/2025 17:01:27"
                        }
                      },
                      "example": {
                        "id": "ddcbab52-3fbc-478c-a103-ecdc2f0ed58c",
                        "status": "done",
                        "display_status": "Done",
                        "from": "0x18B211A1Ba5880C7d62C250B6441C2400d588589",
                        "requests": {
                          "0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d": "0.2"
                        },
                        "total_requested": "0.2",
                        "total_with_fee": "0.201",
                        "error": null,
                        "blockchain_fee": "0.000024738630000000",
                        "fee": "0.001",
                        "coin": "bep20_usdt",
                        "txid": "0xcc522d6b94e3f284f3f00d43729167f792419c70ec4f9143fc1bddeb04c91912",
                        "timestamp": "10/07/2025 17:01:27"
                      }
                    }
                  },
                  "example": {
                    "status": "success",
                    "payout_info": {
                      "id": "ddcbab52-3fbc-478c-a103-ecdc2f0ed58c",
                      "status": "done",
                      "display_status": "Done",
                      "from": "0x18B211A1Ba5880C7d62C250B6441C2400d588589",
                      "requests": {
                        "0xA6B78B56ee062185E405a1DDDD18cE8fcBC4395d": "0.2"
                      },
                      "total_requested": "0.2",
                      "total_with_fee": "0.201",
                      "error": null,
                      "blockchain_fee": "0.000024738630000000",
                      "fee": "0.001",
                      "coin": "bep20_usdt",
                      "txid": "0xcc522d6b94e3f284f3f00d43729167f792419c70ec4f9143fc1bddeb04c91912",
                      "timestamp": "10/07/2025 17:01:27"
                    }
                  }
                }
              }
            }
          }
        },
        "requestBody": {
          "required": true,
          "content": {
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "properties": {
                  "payout_id": {
                    "type": "string",
                    "example": "ddcbab52-3fbc-478c-a103-ecdc2f0ed58c"
                  }
                },
                "required": [
                  "payout_id"
                ]
              }
            },
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "payout_id": {
                    "type": "string",
                    "example": "ddcbab52-3fbc-478c-a103-ecdc2f0ed58c"
                  }
                },
                "required": [
                  "payout_id"
                ]
              }
            }
          }
        }
      }
    },
    "/info/": {
      "get": {
        "operationId": "get_service_info",
        "summary": "BlockBee Service Information",
        "description": "Endpoint that provides information regarding BlockBee API Service (e.g supported blockchains, cryptocurrencies and tokens).",
        "tags": [
          "Utilities"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/get-service-info"
        },
        "parameters": [
          {
            "name": "apikey",
            "in": "query",
            "required": false,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "prices",
            "in": "query",
            "required": false,
            "description": "Query parameter (integer)",
            "schema": {
              "type": "integer",
              "example": "0"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "btc": {
                      "type": "object",
                      "properties": {
                        "coin": {
                          "type": "string",
                          "example": "Bitcoin"
                        },
                        "logo": {
                          "type": "string",
                          "example": "https://api.cryptapi.io/media/token_logos/btc.png"
                        },
                        "ticker": {
                          "type": "string",
                          "example": "btc"
                        },
                        "minimum_transaction": {
                          "type": "integer",
                          "example": 8000
                        },
                        "minimum_transaction_coin": {
                          "type": "string",
                          "example": "0.00008000"
                        },
                        "minimum_fee": {
                          "type": "integer",
                          "example": 546
                        },
                        "minimum_fee_coin": {
                          "type": "string",
                          "example": "0.00000546"
                        },
                        "fee_percent": {
                          "type": "string",
                          "example": "1.000"
                        },
                        "network_fee_estimation": {
                          "type": "string",
                          "example": "0.00000263"
                        },
                        "prices": {
                          "type": "object",
                          "properties": {
                            "USD": {
                              "type": "string",
                              "example": "113687.2123324492"
                            },
                            "EUR": {
                              "type": "string",
                              "example": "97303.8618504321"
                            }
                          },
                          "example": {
                            "USD": "113687.2123324492",
                            "EUR": "97303.8618504321"
                          }
                        },
                        "prices_updated": {
                          "type": "string",
                          "example": "2025-07-10T17:35:17.529Z"
                        }
                      },
                      "example": {
                        "coin": "Bitcoin",
                        "logo": "https://api.cryptapi.io/media/token_logos/btc.png",
                        "ticker": "btc",
                        "minimum_transaction": 8000,
                        "minimum_transaction_coin": "0.00008000",
                        "minimum_fee": 546,
                        "minimum_fee_coin": "0.00000546",
                        "fee_percent": "1.000",
                        "network_fee_estimation": "0.00000263",
                        "prices": {
                          "USD": "113687.2123324492",
                          "EUR": "97303.8618504321"
                        },
                        "prices_updated": "2025-07-10T17:35:17.529Z"
                      }
                    },
                    "avax-c": {
                      "type": "object",
                      "properties": {
                        "avax": {
                          "type": "object",
                          "properties": {
                            "coin": {
                              "type": "string",
                              "example": "AVAX"
                            },
                            "logo": {
                              "type": "string",
                              "example": "https://api.cryptapi.io/media/token_logos/avax_avax.png"
                            },
                            "ticker": {
                              "type": "string",
                              "example": "avax"
                            },
                            "minimum_transaction": {
                              "type": "integer",
                              "example": 10000000000000000
                            },
                            "minimum_transaction_coin": {
                              "type": "string",
                              "example": "0.01000000"
                            },
                            "minimum_fee": {
                              "type": "integer",
                              "example": 0
                            },
                            "minimum_fee_coin": {
                              "type": "string",
                              "example": "0E-8"
                            },
                            "fee_percent": {
                              "type": "string",
                              "example": "1.000"
                            },
                            "network_fee_estimation": {
                              "type": "string",
                              "example": "0.0002641508790732"
                            },
                            "prices": {
                              "type": "object",
                              "properties": {
                                "USD": {
                                  "type": "string",
                                  "example": "19.8455617107"
                                },
                                "EUR": {
                                  "type": "string",
                                  "example": "16.9856376581"
                                }
                              },
                              "example": {
                                "USD": "19.8455617107",
                                "EUR": "16.9856376581"
                              }
                            },
                            "prices_updated": {
                              "type": "string",
                              "example": "2025-07-10T17:35:17.529Z"
                            }
                          },
                          "example": {
                            "coin": "AVAX",
                            "logo": "https://api.cryptapi.io/media/token_logos/avax_avax.png",
                            "ticker": "avax",
                            "minimum_transaction": 10000000000000000,
                            "minimum_transaction_coin": "0.01000000",
                            "minimum_fee": 0,
                            "minimum_fee_coin": "0E-8",
                            "fee_percent": "1.000",
                            "network_fee_estimation": "0.0002641508790732",
                            "prices": {
                              "USD": "19.8455617107",
                              "EUR": "16.9856376581"
                            },
                            "prices_updated": "2025-07-10T17:35:17.529Z"
                          }
                        }
                      },
                      "example": {
                        "avax": {
                          "coin": "AVAX",
                          "logo": "https://api.cryptapi.io/media/token_logos/avax_avax.png",
                          "ticker": "avax",
                          "minimum_transaction": 10000000000000000,
                          "minimum_transaction_coin": "0.01000000",
                          "minimum_fee": 0,
                          "minimum_fee_coin": "0E-8",
                          "fee_percent": "1.000",
                          "network_fee_estimation": "0.0002641508790732",
                          "prices": {
                            "USD": "19.8455617107",
                            "EUR": "16.9856376581"
                          },
                          "prices_updated": "2025-07-10T17:35:17.529Z"
                        }
                      }
                    },
                    "fee_tiers": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "minimum": {
                            "type": "string",
                            "example": "0.00"
                          },
                          "fee": {
                            "type": "string",
                            "example": "1.000"
                          }
                        },
                        "example": {
                          "minimum": "0.00",
                          "fee": "1.000"
                        }
                      },
                      "example": [
                        {
                          "minimum": "0.00",
                          "fee": "1.000"
                        },
                        {
                          "minimum": "10000.00",
                          "fee": "0.900"
                        }
                      ]
                    }
                  },
                  "example": {
                    "btc": {
                      "coin": "Bitcoin",
                      "logo": "https://api.cryptapi.io/media/token_logos/btc.png",
                      "ticker": "btc",
                      "minimum_transaction": 8000,
                      "minimum_transaction_coin": "0.00008000",
                      "minimum_fee": 546,
                      "minimum_fee_coin": "0.00000546",
                      "fee_percent": "1.000",
                      "network_fee_estimation": "0.00000263",
                      "prices": {
                        "USD": "113687.2123324492",
                        "EUR": "97303.8618504321"
                      },
                      "prices_updated": "2025-07-10T17:35:17.529Z"
                    },
                    "avax-c": {
                      "avax": {
                        "coin": "AVAX",
                        "logo": "https://api.cryptapi.io/media/token_logos/avax_avax.png",
                        "ticker": "avax",
                        "minimum_transaction": 10000000000000000,
                        "minimum_transaction_coin": "0.01000000",
                        "minimum_fee": 0,
                        "minimum_fee_coin": "0E-8",
                        "fee_percent": "1.000",
                        "network_fee_estimation": "0.0002641508790732",
                        "prices": {
                          "USD": "19.8455617107",
                          "EUR": "16.9856376581"
                        },
                        "prices_updated": "2025-07-10T17:35:17.529Z"
                      }
                    },
                    "fee_tiers": [
                      {
                        "minimum": "0.00",
                        "fee": "1.000"
                      },
                      {
                        "minimum": "10000.00",
                        "fee": "0.900"
                      }
                    ]
                  }
                }
              }
            }
          }
        }
      }
    },
    "/subscription/fetch/": {
      "get": {
        "operationId": "get_subscription",
        "summary": "Fetch Subscription",
        "description": "This method allows you to fetch a subscription by ID.",
        "tags": [
          "Subscriptions"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/get-subscription"
        },
        "parameters": [
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "token",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "J78yEgW01HIOGZqBeqzxpXFuCwHGQgdO"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "subscription": {
                      "type": "object",
                      "properties": {
                        "token": {
                          "type": "string",
                          "example": "J78yEgW01HIOGZqBeqzxpXFuCwHGQgdO"
                        },
                        "url": {
                          "type": "string",
                          "example": "https://pay.blockbee.io/subscription/J78yEgW01HIOGZqBeqzxpXFuCwHGQgdO/"
                        },
                        "active": {
                          "type": "boolean",
                          "example": true
                        },
                        "user_id": {
                          "type": "string",
                          "example": "user_example"
                        },
                        "user_email": {
                          "type": "string",
                          "example": "example@mail.com"
                        },
                        "end_date_ts": {
                          "type": "integer",
                          "example": 1753022709
                        },
                        "payment_list": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "token": {
                                "type": "string",
                                "example": "Wd1lggEvyy1usHooflFiEGNQbBn4TNvJ"
                              },
                              "value": {
                                "type": "string",
                                "example": "1.99"
                              },
                              "coin": {
                                "type": "string",
                                "example": "usd"
                              },
                              "duration_ts": {
                                "type": "integer",
                                "example": 2592000
                              },
                              "received_fiat": {
                                "type": "string",
                                "example": "1.99"
                              },
                              "is_paid": {
                                "type": "boolean",
                                "example": true
                              },
                              "is_pending": {
                                "type": "boolean",
                                "example": false
                              },
                              "is_partial": {
                                "type": "boolean",
                                "example": false
                              }
                            },
                            "example": {
                              "token": "Wd1lggEvyy1usHooflFiEGNQbBn4TNvJ",
                              "value": "1.99",
                              "coin": "usd",
                              "duration_ts": 2592000,
                              "received_fiat": "1.99",
                              "is_paid": true,
                              "is_pending": false,
                              "is_partial": false
                            }
                          },
                          "example": [
                            {
                              "token": "Wd1lggEvyy1usHooflFiEGNQbBn4TNvJ",
                              "value": "1.99",
                              "coin": "usd",
                              "duration_ts": 2592000,
                              "received_fiat": "1.99",
                              "is_paid": true,
                              "is_pending": false,
                              "is_partial": false
                            }
                          ]
                        }
                      },
                      "example": {
                        "token": "J78yEgW01HIOGZqBeqzxpXFuCwHGQgdO",
                        "url": "https://pay.blockbee.io/subscription/J78yEgW01HIOGZqBeqzxpXFuCwHGQgdO/",
                        "active": true,
                        "user_id": "user_example",
                        "user_email": "example@mail.com",
                        "end_date_ts": 1753022709,
                        "payment_list": [
                          {
                            "token": "Wd1lggEvyy1usHooflFiEGNQbBn4TNvJ",
                            "value": "1.99",
                            "coin": "usd",
                            "duration_ts": 2592000,
                            "received_fiat": "1.99",
                            "is_paid": true,
                            "is_pending": false,
                            "is_partial": false
                          }
                        ]
                      }
                    }
                  },
                  "example": {
                    "status": "success",
                    "subscription": {
                      "token": "J78yEgW01HIOGZqBeqzxpXFuCwHGQgdO",
                      "url": "https://pay.blockbee.io/subscription/J78yEgW01HIOGZqBeqzxpXFuCwHGQgdO/",
                      "active": true,
                      "user_id": "user_example",
                      "user_email": "example@mail.com",
                      "end_date_ts": 1753022709,
                      "payment_list": [
                        {
                          "token": "Wd1lggEvyy1usHooflFiEGNQbBn4TNvJ",
                          "value": "1.99",
                          "coin": "usd",
                          "duration_ts": 2592000,
                          "received_fiat": "1.99",
                          "is_paid": true,
                          "is_pending": false,
                          "is_partial": false
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/{ticker}/info/": {
      "get": {
        "operationId": "get_ticker_info",
        "summary": "Get Ticker Information",
        "description": "This method allows you to get information for a specific `ticker`.\n**Notes:** * If the `prices` parameter is sent, the prices will be included in the response.",
        "tags": [
          "Utilities"
        ],
        "externalDocs": {
          "description": "BlockBee docs page",
          "url": "https://docs.blockbee.io/api/get-ticker-info"
        },
        "parameters": [
          {
            "name": "ticker",
            "in": "path",
            "required": true,
            "description": "Path parameter (string)",
            "schema": {
              "type": "string",
              "example": "btc"
            }
          },
          {
            "name": "apikey",
            "in": "query",
            "required": true,
            "description": "Query parameter (string)",
            "schema": {
              "type": "string",
              "example": "your_api_key_here"
            }
          },
          {
            "name": "prices",
            "in": "query",
            "required": false,
            "description": "Query parameter (integer)",
            "schema": {
              "type": "integer",
              "example": "1"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "coin": {
                      "type": "string",
                      "example": "Bitcoin"
                    },
                    "logo": {
                      "type": "string",
[...]
